/* --------------------------------------------------------------------------
--
-- dsbench/postgres/tpcb_history.sql
--
-- Copyright (C) 2014-2015 Rajko Thon <rajko.thon@leitstern.de>
--                         Mathias Ball <meb@leitstern.de>
--
-- DSBench is free software: you can redistribute it and/or modify it
-- under the terms of the GNU Lesser General Public License as published
-- by the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- You must obey the GNU Lesser General Public License in all respects for
-- all of the code used.
--
-- DSBench is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-- FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
-- License for more details.
--
-------------------------------------------------------------------------- */

create table tpcb_history (
  teller_id               bigint        not null,
  branch_id               bigint        not null,
  account_id              bigint        not null,
  delta                   bigint        default null,
  ta_time                 timestamp,
  filler                  char(10)      default '1234567890'
);
